Subject: bug#64980: 29.1; Context menu must be held on Lucid toolkit

From: Ramon Diaz-Uriarte <[email-masked]>
Date: Thu, 26 Dec 2024 22:37:46 +0100

On Thu, 26-December-2024, at 19:53:48, Ramon Diaz-Uriarte <[email-masked]> wrote:
>>   I am using the graphical version of GNU Emacs 29.1, compiled with
>>   the Lucid (Athena) toolkit and downloaded straight from upstream,
>>   without using a downstream distribution package.
>>
>>   When enabling context-menu mode, the menu seems to close right
>>   away when the right mouse button is released.  I need to hold the
>>   button down to keep the context menu open.
>
> (...)
>
>> The bug is easily reproducible from 'emacs -Q': start Emacs,
>> enable Context menu mode via 'M-x context-menu-mode' and try
>> opening the context menu with the right click button.
>
> I am also experiencing this issue with Emacs 30.0.93:
> GNU Emacs 30.0.93 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.18.2, Xaw scroll bars) of 2024-12-26
>

Actually, this depends on the window manager.  I observe this problem (everything under xorg) in:

- XMonad (the WM I use)
- bspwm
- fvwm3
- Notion
- windowmaker
- icewm

But I do not see it with:

- i3
- xfce4
- herbstluftwm
- stumpwm

(though on some of the ones where I do not always observe it, it is common to experience the problem in the first clicks).

I should have checked this before the previous email; sorry for that.

Best,

R.

--
Ramon Diaz-Uriarte
Department of Biochemistry, Lab B-31
Facultad de Medicina
Universidad Autónoma de Madrid
Arzobispo Morcillo, 4
28029 Madrid
Spain

Phone: +34-91-497-2412

Email: [email-masked]
       [email-masked]
       [email-masked]

https://ligarto.org/rdiaz